Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS

From: Noam Postavsky <[email-masked]>
Date: Tue, 6 Feb 2018 17:53:10 -0500

On Tue, Feb 6, 2018 at 5:44 PM, Alan Third <[email-masked]> wrote:
> On Tue, Feb 06, 2018 at 10:07:52PM +0000, Philipp Stephani wrote:
>> However, when I change "file" to "/usr/bin/true" in the names list, the
>> issue happens again (i.e. lstat and faccessat succeed for
>> "/usr/bin/true/."). So this does appear to be a macOS bug, but it's not
>> consistently reproducible.
>
> Try setting the permissions of the test file to 500.
>
> It looks like if the file is only readable and executable, then the
> problem occurs, but if it’s writable it goes away.
>
> That’s why we see it in places like /usr/bin where we don’t have write
> permission, but can’t reproduce it in ~/ where we do.

Is this the same or related to Bug#21573? (I don't know much about
macOS, but seems to involve the same system call)